Summary: Kernel Configuration Tool
Name: kernelcfg
Icon: kernelcfg.gif
Version: 0.4
Release: 7
Copyright: GPL
Group: Utilities/System
Source: kernelcfg-0.4.tar.gz
ExcludeArch: alpha
Requires: pythonlib >= 1.8, python, tkinter, module-info

%changelog

* Fri Nov 07 1997 Michael K. Johnson <johnsonm@redhat.com>

- wmconfig only for root
- noarch doesn't go very well with "ExcludeArch: alpha"...

* Fri Nov 07 1997 Michael K. Johnson <johnsonm@redhat.com>

- no paths allowed in wmconfig files

* Mon Nov 03 1997 Michael K. Johnson <johnsonm@redhat.com>

- requires tkinter

* Tue Oct 28 1997 Otto Hammersmith <otto@redhat.com>

- fixed icon reference in .init file

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>

- made a noarch package

* Mon Jun 02 1997 Michael K. Johnson <johnsonm@redhat.com>

- Look for /boot/module-info-$(uname -r) as well as /boot/module-info
- Tell the user what went wrong if the file doesn't exist.


%description
Red Hat Linux kernelcfg provides a GUI interface which allows you to
easily administrate your kerneld configuration.

%prep
%setup

%build
unset DISPLAY || true
export PYTHONPATH=/usr/lib/rhs/python
make

%install
unset DISPLAY || true
export PYTHONPATH=/usr/lib/rhs/python
mkdir -p /usr/lib/rhs/control-panel
rm -rf /usr/lib/rhs/kernelcfg
make install
mkdir -p /usr/share/icons
cp /usr/lib/rhs/control-panel/kernelcfg.xpm /usr/share/icons/
chmod 600 /etc/X11/wmconfig/kernelcfg

%files
/usr/bin/kernelcfg
/usr/lib/rhs/kernelcfg
/usr/lib/rhs/control-panel/kernelcfg.init
/usr/lib/rhs/control-panel/kernelcfg.xpm
/usr/share/icons/kernelcfg.xpm
%config(missingok) /etc/X11/wmconfig/kernelcfg
